4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.FtssInputSource

A subclass of InputSource that provides access to repo resources.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtssInputSource |  |  |  | Fields: FTSS_RESOLVER, FTSS_URI_SCHEME, FtssInputSourceFactory, NoExtDtdReader, NonvalidatingReader, ValidatingReader

## Classes

class FtssInputSource(Ft.Xml.InputSource.InputSource)

### Methods

__getstate__(self)
__init__(self, stream, uri, driver, *v_args, **kw_args)
clone(self, stream, uri=None, hint=None)
Clones this input source, creating a new instance with the known params.
resolve(self, sysid, pubid=None, hint=None, ignoreErrors=0)
Resolves a system identifier (fragmentless URI reference) or a public identifier into a new input source. It is typically used when a URI reference is encountered in the original stream and needs to be resolved (e.g. to support an external entity reference, XInclude, xsl:include/import, document(), etc.).
The hint parameter is used to give a hint as to what the
resolution will be used for. It is generally used for security
checks for the repository.
If the ignoreErrors flag is set, an error during resolution
(such as "file not found") will result in None being returned,
rather than raising an exception.

### Methods inherited from class Ft.Xml.InputSource.InputSource

close, getUriResolver, read, readline, resolveEntity

### Fields

FORBIDDEN_HINTS = ['REPO APPLYXSLT', 'STYLESHEET IMPORT', 'STYLESHEET INCLUDE']
FORBIDDEN_SCHEMES = ['file']
PERMITTED_HINTS = ['XSLT DOCUMENT FUNCTION', 'EXTERNAL ENTITY']

## Fields

FTSS_RESOLVER = <Ft.Lib.Uri.FtUriResolver instance>
FTSS_URI_SCHEME = 'ftss'
FtssInputSourceFactory = <Ft.Server.Server.Drivers.FtssInputSource._FtssInputSourceFactory instance>
NoExtDtdReader = <Ft.Xml.Domlette.NoExtDtdReaderBase instance>
NonvalidatingReader = <Ft.Xml.Domlette.NonvalidatingReaderBase instance>
ValidatingReader = <Ft.Xml.Domlette.ValidatingReaderBase instance>